import request from "@/http/request";

export const updateConfig = (params) => {
    return request({
        url: '/config/updateConfig',
        method: 'post',
        data: params,
        timeout: 10000
    })
}

export const queryConfigsByPage = (params) => {
    return request({
        url: '/config/queryConfigsByPage',
        method: 'post',
        data: params,
        timeout: 10000
    })
}

export const restartSystem = (params) => {
    return request({
        url: '/system/restartSystem',
        method: 'post',
        data: params,
        timeout: 10000
    })
}

export const reloadConfig = (params) => {
    return request({
        url: '/system/reloadConfig',
        method: 'post',
        data: params,
        timeout: 10000
    })
}